[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ESD no long works after new alsa modules compilation



On Mon, 30 Apr 2001, Chun Kit Edwin Lau wrote:
> 	I don't know what's happening.. but it seems like my esd can no
> long startup after I compile and install the new module 0.9+0beta3-1. also
> some of the option for module ens1371 are no long support, isn't it? it
> gave me the follow when I start. Anyone knows what's happening?
> 
> Couldn't open any alsa card! Last card tried was 0
> Error opening card 0: Sound protocol is not compatible
> Audio device open for 44.1Khz, stereo, 16bit failed
[...]

Jeez, prune it a bit the next time, will you.

Anyway, just about everything seems to break with the new alsa modules...
Timidity will break, esd (yuck!) will break, and I suppose arts (double
yuck!) will too if it supports alsa in native mode.

Reinstall the old 0.5 modules (and 0.5 alsa-source just in case you need to
recompile the modules), but keep all the other 0.9 packages. That will solve
the problem.

I hope "0.9" means "last backwards-incompatible interface changes" in a
loooooong while.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh

Attachment: pgpVlpuTV4Odc.pgp
Description: PGP signature


Reply to: